Metadata Convenience Fallback Functions
3
LIBTRACKER-MODULE Library

# Metadata Convenience Fallback Functions

Helper functions to retrieve metadata or text for common files

## Synopsis

    #include <libtracker-module/tracker-module-metadata-utils.h>

    TrackerModuleMetadata * tracker_module_metadata_utils_get_data
                                                            (GFile *file);
    gchar *             tracker_module_metadata_utils_get_text
                                                            (GFile *file);

## Description

## Details

### tracker_module_metadata_utils_get_data ()

    TrackerModuleMetadata * tracker_module_metadata_utils_get_data
                                                            (GFile *file);

Returns a TrackerModuleMetadata filled in with all the metadata that could be extracted for the given file.

`file` :

  A GFile

Returns :

  A newly created TrackerModuleMetadata, or `NULL` if the file is not found.

### tracker_module_metadata_utils_get_text ()

    gchar *             tracker_module_metadata_utils_get_text
                                                            (GFile *file);

Gets the text from `file`, if the file is considered as containing plain text, it will be extracted, else this function will resort to the installed text filters for the file MIME type.

`file` :

  A GFile

Returns :

  A newly allocated string containing the file text, or `NULL`.

## See Also

TrackerModuleMetadata, `tracker_module_file_get_metadata()` and `tracker_module_file_get_text()`